Package com.enonic.xp.content

## Class CreateContentParams

- java.lang.Object
- - com.enonic.xp.content.CreateContentParams

-     @PublicApi
      public final class CreateContentParams
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CreateContentParams.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CreateContentParams.Builder` | `create()` |
    `static CreateContentParams.Builder` | `create​(CreateContentParams source)` |
    `ChildOrder` | `getChildOrder()` |
    `ContentPublishInfo` | `getContentPublishInfo()` |
    `CreateAttachments` | `getCreateAttachments()` |
    `PropertyTree` | `getData()` |
    `String` | `getDisplayName()` |
    `ExtraDatas` | `getExtraDatas()` |
    `Locale` | `getLanguage()` |
    `ContentName` | `getName()` |
    `PrincipalKey` | `getOwner()` |
    `ContentPath` | `getParent()` |
    `AccessControlList` | `getPermissions()` |
    `ContentIds` | `getProcessedIds()` |
    `ContentTypeName` | `getType()` |
    `WorkflowInfo` | `getWorkflowInfo()` |
    `boolean` | `isInheritPermissions()` |
    `boolean` | `isRefresh()` |
    `boolean` | `isRequireValid()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static CreateContentParams.Builder create()

    - #### create

          public static CreateContentParams.Builder create​(CreateContentParams source)

    - #### getData

          public PropertyTree getData()

    - #### getExtraDatas

          public ExtraDatas getExtraDatas()

    - #### getType

          public ContentTypeName getType()

    - #### getOwner

          public PrincipalKey getOwner()

    - #### getDisplayName

          public String getDisplayName()

    - #### getName

          public ContentName getName()

    - #### getParent

          public ContentPath getParent()

    - #### isRequireValid

          public boolean isRequireValid()

    - #### getCreateAttachments

          public CreateAttachments getCreateAttachments()

    - #### getPermissions

          public AccessControlList getPermissions()

    - #### getChildOrder

          public ChildOrder getChildOrder()

    - #### isInheritPermissions

          public boolean isInheritPermissions()

    - #### getLanguage

          public Locale getLanguage()

    - #### getContentPublishInfo

          public ContentPublishInfo getContentPublishInfo()

    - #### isRefresh

          public boolean isRefresh()

    - #### getProcessedIds

          public ContentIds getProcessedIds()

    - #### getWorkflowInfo

          public WorkflowInfo getWorkflowInfo()